> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get option trades

GET https://www.okx.com/api/v5/public/option-trades

The maximum is 100.

Reference: https://okx-demo.ferndocs.com/api/api-reference/market/get-option-trades

## Request

### Query parameters

- `instId` (string, optional) — Instrument ID, e.g. BTC-USD-221230-4000-C, Either `instId` or `instFamily` is required. If both are passed, `instId` will be used.
- `instFamily` (string, optional) — Instrument family, e.g. BTC-USD
- `optType` (enum, optional) — Option type, `C`: Call `P`: put
  - Allowed values: `C`, `P`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5PublicOptionTradesGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5PublicOptionTradesGetResponsesContentApplicationJsonSchemaDataItems

- `instId` (string, optional) — Instrument ID
- `instFamily` (string, optional) — Instrument family
- `tradeId` (string, optional) — Trade ID
- `px` (string, optional) — Trade price
- `sz` (string, optional) — Trade quantity. The unit is contract.
- `side` (string, optional) — Trade side `buy` `sell`
- `optType` (string, optional) — Option type, C: Call P: Put
- `fillVol` (string, optional) — Implied volatility while trading (Correspond to trade price)
- `fwdPx` (string, optional) — Forward price while trading
- `idxPx` (string, optional) — Index price while trading
- `markPx` (string, optional) — Mark price while trading
- `ts` (string, optional) — Trade time, Unix timestamp format in milliseconds, e.g. `1597026383085`.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "instId": "BTC-USD-221230-16600-P",
      "instFamily": "BTC-USD",
      "tradeId": "65",
      "px": "0.005",
      "sz": "30",
      "side": "sell",
      "optType": "P",
      "fillVol": "0.24415013671875",
      "fwdPx": "16676.907614127158",
      "idxPx": "16667",
      "markPx": "0.006308943261227884",
      "ts": "1672225112048"
    }
  ]
}
```

**SDK Code**

```python market_getOptionTrades_example
import requests

url = "https://www.okx.com/api/v5/public/option-trades"

response = requests.get(url)

print(response.json())
```

```javascript market_getOptionTrades_example
const url = 'https://www.okx.com/api/v5/public/option-trades';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go market_getOptionTrades_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/public/option-trades"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby market_getOptionTrades_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/public/option-trades")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java market_getOptionTrades_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/public/option-trades")
  .asString();
```

```php market_getOptionTrades_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/public/option-trades');

echo $response->getBody();
```

```csharp market_getOptionTrades_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/public/option-trades");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift market_getOptionTrades_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/public/option-trades")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```